<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <%- include ../layout %>
        <div class="container">
            <h2 align="center">Hello : <%= instructor.username %>
            </h2>
            <hr>
            <h5>My Class</h5>
            <table class="table">
                <thead>
                    <tr>
                        <th scope="col">ClassID</th>
                        <th scope="col">ClassName</th>
                        <th scope="col">View Lession</th>
                        <th scope="col">Add Lession</th>
                    </tr>
                </thead>
                <tbody>
                    <% if(instructor.classes){ %>
                        <% for (var result of instructor.classes) { %>
                            <tr>
                                <td><%= result.class_id %></td>
                                <td><%= result.class_title %></td>
                                <td><a href="/classes/<%= result.class_id %>/lession" class="btn btn-success">View Lession</a></td>
                                <td><a href="/instructors/classes/<%= result.class_id %>/lession/new" class="btn btn-primary">Add Lession</a></td>
                            </tr>
                        <% } %>
                    <% } %>
                </tbody>
            </table>
            <hr>
            <h5>Add Class</h5>
            <form action="/classes/register" class="form-group" method="POST">
                <div class="form-group">
                    <label for="">รหัสวิชา</label>
                    <input type="text" name="class_id" class="form-control" value="">
                </div>
                <div class="form-group">
                    <label for="">ชื่อวิชา</label>
                    <input type="text" name="class_name" class="form-control" value="">
                </div>
                <div class="form-group">
                    <label for="">ภาพปก</label>
                    <input type="text" name="img_url" class="form-control" value="">
                </div>
                <div class="form-group">
                    <label for="">คำอธิบาย</label>
                    <textarea name="description" id="" cols="30" rows="10" class="form-control"></textarea>
                </div>
                <input type="hidden" name="instructor" value="<%= instructor.fname %>">
                <input type="submit" value="สร้างรายวิชา" class="btn btn-primary">
            </form>
        </div>
</body>

</html>